Package org.lwjgl.opencl

# Class CLContextCallback

java.lang.Object
org.lwjgl.PointerWrapperAbstract
org.lwjgl.opencl.CLContextCallback

All Implemented Interfaces:
  `PointerWrapper`

public abstract class CLContextCallback extends PointerWrapperAbstract
Instances of this class can be used to receive OpenCL context error notifications.

Author:
  Spasi

## Field Summary

### Fields inherited from class org.lwjgl.PointerWrapperAbstract

`pointer`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`CLContextCallback()`
`protected`
`CLContextCallback(long pointer)`
This constructor allows non-LWJGL implementations.

## Method Summary

Modifier and Type
Method
Description
`protected abstract void`
`handleMessage(String errinfo, ByteBuffer private_info)`
The callback method.

### Methods inherited from class org.lwjgl.PointerWrapperAbstract

`checkValid, equals, getPointer, hashCode, isValid, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CLContextCallback

protected CLContextCallback()

### CLContextCallback

protected CLContextCallback(long pointer)
This constructor allows non-LWJGL implementations.

Parameters:
  `pointer` -

## Method Details

### handleMessage

protected abstract void handleMessage(String errinfo, ByteBuffer private_info)
The callback method.

Parameters:
  `errinfo` - the error description
  `private_info` - optional error data (may be null)